package it.polito.bigdata.hadoop;

import java.io.IOException;


import org.apache.hadoop.io.IntWritable;
import org.apache.hadoop.io.LongWritable;
import org.apache.hadoop.io.Text;
import org.apache.hadoop.mapreduce.Mapper;


class Mapper1BigData extends Mapper<LongWritable, // Input key type
		Text, // Input value type
		Text, // Output key type
		IntWritable> {// Output value type

	protected void map(LongWritable key, // Input key type
			Text value, // Input value type
			Context context) throws IOException, InterruptedException {

		// R3,2020/05/04,BrokenMotherboard

		String[] fields = value.toString().split(",");
		String date = fields[1];
		String cause = fields[2];

		if (cause.equals("BrokenMotherboard"))
			context.write(new Text(date), new IntWritable(1));

	}
}
